Skip to main content
POST
/
workflow-executions
Create Workflow Execution
curl --request POST \
  --url https://api.example.com/workflow-executions \
  --header 'Content-Type: application/json' \
  --cookie fastapiusersauth= \
  --data '
{
  "workflow_id": "<string>",
  "inputs": null
}
'
{
  "message": "<string>",
  "wf_id": "<string>",
  "wf_exec_id": "<string>",
  "payload": "<unknown>"
}

Authorizations

fastapiusersauth
string
cookie
required

Query Parameters

workspace_id
string<uuid>
required

Body

application/json
workflow_id
required
Pattern: wf_[0-9a-zA-Z]+
inputs
unknown

Response

Successful Response

message
string
required
wf_id
string
required
wf_exec_id
string
required
Pattern: (?P<workflow_id>wf-[0-9a-f]{32}|wf_[0-9a-zA-Z]+)[:/](?P<execution_id>(exec_[0-9a-zA-Z]+|exec-[\w-]+|sch-[0-9a-f]{32}-.*))
payload
any